package com.bonus.core.order.vo;

import com.bonus.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("设备当餐订单核销返回VO")
@Data
public class MacOrdCurrWriteOffVO {
   @ApiModelProperty("人员编号")
   private String custNum;
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("部门全称")
   private String orgFullName;
   @ApiModelProperty("人员头像地址")
   private String custPhotoUrl;
   @ApiModelProperty("账户余额 单位分")
   private Integer accBal = 0;
   @ApiModelProperty("预定份数")
   private Integer reserveNumber;

   public String getCustPhotoUrl() {
      return SysUtil.getCutFileUrl(this.custPhotoUrl);
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Integer getAccBal() {
      return this.accBal;
   }

   public Integer getReserveNumber() {
      return this.reserveNumber;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setCustPhotoUrl(final String custPhotoUrl) {
      this.custPhotoUrl = custPhotoUrl;
   }

   public void setAccBal(final Integer accBal) {
      this.accBal = accBal;
   }

   public void setReserveNumber(final Integer reserveNumber) {
      this.reserveNumber = reserveNumber;
   }




}
